/**
 * Constant for Radio/Checkbox Styling
 * @type {{next: string, bothSide: string, line: string}}
 */
const RADIO_CHECKBOX_STYLE = {
    line: {
        val: 'line',
        description: "Linea por linea"
    },
    next: {
        val: 'next',
        description: "Uno despues de otro"
    },
    bothSide: {
        val: "bothSide",
        description: "Permanecer en cada lado en un a fila (Izquierda - Derecha)",
    }
};

/**
 * Constant for Radio/Checkbox position
 * @type {{left: string, center: string, right: string}}
 */
const RADIO_CHECKBOX_POSITION = {
    left: {
        val: 'left',
        description: "Izquierda"
    },
    center: {
        val: 'center',
        description: 'Centrar',
    },
    right: {
        val: 'right',
        description: 'Derecha'
    }
};

/**
 * Return Type for Date-Picker
 * @type {{format: {val: string, description: string}, object: {val: string, description: string}}}
 */
const DATE_PICKER_RETURN_TYPES = {
    format: {
        val: "format",
        description: "Fecha simple"
    },
    object: {
        val: "object",
        description: "Fecha descriptiva"
    }
}

/**
 * Date Picker Start Date (Sunday, Monday,...) of the Week
 */
const DATE_PICKER_START_DATES = {
    monday: {
        val: 1,
        description: "Lunes"
    },
    tuesday: {
        val: 2,
        description: "Martes"
    },
    wednesday: {
        val: 3,
        description: "Miercoles"
    },
    thursday: {
        val: 4,
        description: "Jueves"
    },
    friday: {
        val: 5,
        description: "Viernes"
    },
    saturday: {
        val: 6,
        description: "Sabado"
    },
    sunday: {
        val: 0,
        description: "Domingo"
    },
}

/**
 * DROPDOWN DATA MODE
 *  - Normal
 *  - API
 */
const DROPDOWN_DATA_MODES = {
    list: {
        val: 'list',
        description: "Normal"
    },
    api: {
        val: 'api',
        description: "API",
    },
}

/**
 * File Upload Modes
 */
const FILE_UPLOAD_MODES = {
    normal: {
        val: 'normal',
        description: "Subir archivo"
    },

    preUpload: {
        val: 'preUpload',
        description: "Obtener archivo de una API"
    },
}

export  {
    RADIO_CHECKBOX_POSITION,
    RADIO_CHECKBOX_STYLE,

    DATE_PICKER_RETURN_TYPES,
    DATE_PICKER_START_DATES,

    DROPDOWN_DATA_MODES,

    FILE_UPLOAD_MODES
}